## EDataCalView

EDataCalView — Implementation of the calendar CORBA search interface.

## Synopsis

    #define             QUERY                               (obj)
    #define             IS_QUERY                            (obj)
    EDataCalView*       e_data_cal_view_new                 (ECalBackend *backend,
                                                             GNOME_Evolution_Calendar_CalViewListener ql,
                                                             ECalBackendSExp *sexp);
    void                e_data_cal_view_add_listener        (EDataCalView *query,
                                                             GNOME_Evolution_Calendar_CalViewListener ql);
    const char*         e_data_cal_view_get_text            (EDataCalView *query);
    ECalBackendSExp*    e_data_cal_view_get_object_sexp     (EDataCalView *query);
    gboolean            e_data_cal_view_object_matches      (EDataCalView *query,
                                                             const char *object);
    GList*              e_data_cal_view_get_matched_objects (EDataCalView *query);
    gboolean            e_data_cal_view_is_started          (EDataCalView *query);
    gboolean            e_data_cal_view_is_done             (EDataCalView *query);
    GNOME_Evolution_Calendar_CallStatus e_data_cal_view_get_done_status
                                                            (EDataCalView *query);
    void                e_data_cal_view_notify_objects_added
                                                            (EDataCalView *query,
                                                             const GList *objects);
    void                e_data_cal_view_notify_objects_added_1
                                                            (EDataCalView *query,
                                                             const char *object);
    void                e_data_cal_view_notify_objects_modified
                                                            (EDataCalView *query,
                                                             const GList *objects);
    void                e_data_cal_view_notify_objects_modified_1
                                                            (EDataCalView *query,
                                                             const char *object);
    void                e_data_cal_view_notify_objects_removed
                                                            (EDataCalView *query,
                                                             const GList *ids);
    void                e_data_cal_view_notify_objects_removed_1
                                                            (EDataCalView *query,
                                                             const ECalComponentId *id);
    void                e_data_cal_view_notify_progress     (EDataCalView *query,
                                                             const char *message,
                                                             int percent);
    void                e_data_cal_view_notify_done         (EDataCalView *query,
                                                             GNOME_Evolution_Calendar_CallStatus status);

## Description

## Details

### QUERY()

    #define QUERY(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), E_DATA_CAL_VIEW_TYPE, EDataCalView))

`obj` : |

### IS_QUERY()

    #define IS_QUERY(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), E_DATA_CAL_VIEW_TYPE))

`obj` : |

### e_data_cal_view_new ()

    EDataCalView*       e_data_cal_view_new                 (ECalBackend *backend,
                                                             GNOME_Evolution_Calendar_CalViewListener ql,
                                                             ECalBackendSExp *sexp);

`backend` : |
`ql` : |
`sexp` : |
Returns : |

### e_data_cal_view_add_listener ()

    void                e_data_cal_view_add_listener        (EDataCalView *query,
                                                             GNOME_Evolution_Calendar_CalViewListener ql);

`query` : |
`ql` : |

### e_data_cal_view_get_text ()

    const char*         e_data_cal_view_get_text            (EDataCalView *query);

`query` : |
Returns : |

### e_data_cal_view_get_object_sexp ()

    ECalBackendSExp*    e_data_cal_view_get_object_sexp     (EDataCalView *query);

`query` : |
Returns : |

### e_data_cal_view_object_matches ()

    gboolean            e_data_cal_view_object_matches      (EDataCalView *query,
                                                             const char *object);

`query` : |
`object` : |
Returns : |

### e_data_cal_view_get_matched_objects ()

    GList*              e_data_cal_view_get_matched_objects (EDataCalView *query);

`query` : |
Returns : |

### e_data_cal_view_is_started ()

    gboolean            e_data_cal_view_is_started          (EDataCalView *query);

`query` : |
Returns : |

### e_data_cal_view_is_done ()

    gboolean            e_data_cal_view_is_done             (EDataCalView *query);

`query` : |
Returns : |

### e_data_cal_view_get_done_status ()

    GNOME_Evolution_Calendar_CallStatus e_data_cal_view_get_done_status
                                                            (EDataCalView *query);

`query` : |
Returns : |

### e_data_cal_view_notify_objects_added ()

    void                e_data_cal_view_notify_objects_added
                                                            (EDataCalView *query,
                                                             const GList *objects);

`query` : |
`objects` : |

### e_data_cal_view_notify_objects_added_1 ()

    void                e_data_cal_view_notify_objects_added_1
                                                            (EDataCalView *query,
                                                             const char *object);

`query` : |
`object` : |

### e_data_cal_view_notify_objects_modified ()

    void                e_data_cal_view_notify_objects_modified
                                                            (EDataCalView *query,
                                                             const GList *objects);

`query` : |
`objects` : |

### e_data_cal_view_notify_objects_modified_1 ()

    void                e_data_cal_view_notify_objects_modified_1
                                                            (EDataCalView *query,
                                                             const char *object);

`query` : |
`object` : |

### e_data_cal_view_notify_objects_removed ()

    void                e_data_cal_view_notify_objects_removed
                                                            (EDataCalView *query,
                                                             const GList *ids);

`query` : |
`ids` : |

### e_data_cal_view_notify_objects_removed_1 ()

    void                e_data_cal_view_notify_objects_removed_1
                                                            (EDataCalView *query,
                                                             const ECalComponentId *id);

`query` : |
`id` : |

### e_data_cal_view_notify_progress ()

    void                e_data_cal_view_notify_progress     (EDataCalView *query,
                                                             const char *message,
                                                             int percent);

`query` : |
`message` : |
`percent` : |

### e_data_cal_view_notify_done ()

    void                e_data_cal_view_notify_done         (EDataCalView *query,
                                                             GNOME_Evolution_Calendar_CallStatus status);

`query` : |
`status` : |